Subject: RE: [Sigtran] M3UA plugtest - Day 2 summary

From: "Schantz, John" <[email-masked]>
Date: Thu, 28 Feb 2002 16:54:28 -0600

-----Original Message-----
From: Schantz, John 
Sent: Thursday, February 28, 2002 9:55 AM
To: 'Ken Morneault'
Subject: RE: [Sigtran] M3UA plugtest - Day 2 summary

Comment below.  John

-----Original Message-----
From: Ken Morneault [mailto:[email-masked]]
Sent: Wednesday, February 27, 2002 1:59 AM
To: [email-masked]
Subject: [Sigtran] M3UA plugtest - Day 2 summary

The following issues were raised today:

1)  another request that IPSP be discussed and a one exchange
method (single or double) selected

[jls]  I prefer the "double" exchange, i.e., each IPSP act like an ASP
in driving their state to the side and they each act like an SGP in
maintaining the current state of the other side.  For nodes that already
have the ASP function, it is easy to add the SGP function of maintaining
the current state of the other side.  I don't usually like using an
"ACK" from remote node to imply more than what it really is.

2)  Question about the following flow:

         ASP                                    SG
                 ---- REG (RKx)---------------->
                 <------- REG RSP (RC1)-----

                 ---- ASP Active (RC1)------->
                 <----ASP Active Ack----------

                 ---- REG (RKx)---------------->

SG receives a REG for a Routing Key that
was previously registered and is now Active.
What should SG do?  

- Send REG RSP with Error and keep ASP
active for this RK/RC, or

-  Send REG RSP with Error but change
ASP to inactive for this RK/RC, or

-  Send REG RSP with no Error and keep
ASP active for this RK/RC

3)  REG msg only has Service Indicator.  There
is interest in also allowing Network Indicator
(i.e. change Service Indicator field to SIO or
add NI parameter to message).

[jls]  Although I don't use the REG stuff, it does seem to be an
oversight to leave the NI out since many nodes only support a single
value.

4)  Desire for more text on how ASP ID is 
supposed to be used

5)  Question about why multiple DPCs are allowed
in REG msg.  Why have multiple DPCs in a
single Routing Key?   It was noted that multiple
DPCs would be advantageous for the alias PC case.

[jls]  Actually this points out one of the "holes".  If a node is going
to support an alias PC type then it also needs to be able to "manage"
this PC with the network.  This requires the AS(P) to be able to
generate DUNAs and DAVAs to the SG.

6)  At last Interop, an question was raised about
accepting a parameter length of 4 for INFO and
DIAG.  Suggestion:  INFO and DIAG parameters
with length 4 would be accepted.

7)  Question about the following scenario:

        ASP                                    SG
                 ---- Inac (RC1)---------------->
                 <------- Inac Ack (RC1)-----

                 ----------- Dereg (RC1)------->
                 <----Dereg Rsp -----------------

                 ---- Inac (RC1)---------------->

What should SG do?  General consensus was
the following:

If the RK was registered and dynamically added 
to SG, respond with Error.  If RK was registered
but already statically defined at SG, respond
with Inactive Ack.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran